Get trading provider by ID
Retrieve a single provider by ID.
Endpoint Permission: Owner, Admin, Non-Signing Admin, Signer, Approver, Editor, Viewer.
For detailed information about error codes and troubleshooting, please refer to our API Error Codes documentation.
GET
/
trading
/
providers
/
{providerId}
TypeScript
const response: Promise<FireblocksResponse<TradingProvider>> = fireblocks.trading.getTradingProviderById(tradingApiGetTradingProviderByIdRequest);CompletableFuture<ApiResponse<TradingProvider>> response = fireblocks.trading().getTradingProviderById(providerId);response = fireblocks.trading.get_trading_provider_by_id(provider_id);curl --request GET \
--url https://api.fireblocks.io/v1/trading/providers/{providerId}const options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/trading/providers/{providerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireblocks.io/v1/trading/providers/{providerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireblocks.io/v1/trading/providers/{providerId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.fireblocks.io/v1/trading/providers/{providerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "BRIDGE",
"name": "Bridge",
"logo": "https://example.com/logos/bridge.png",
"accountBased": true,
"manifest": {
"order": {
"supported": true,
"executionTypes": [
"MARKET"
],
"settlementTypes": [
"DVP"
]
},
"quote": {
"supported": false
},
"rate": {
"supported": true
}
},
"connected": true,
"accounts": [
{
"id": "acc_5e9a2d1c4b7f3e8a",
"name": "Main Trading Account"
}
]
}{
"code": 900,
"message": "Invalid base amount: must be greater than 0"
}{
"code": 900,
"message": "Invalid base amount: must be greater than 0"
}{
"code": 900,
"message": "Invalid base amount: must be greater than 0"
}{
"code": 900,
"message": "Invalid base amount: must be greater than 0"
}{
"code": 900,
"message": "Invalid base amount: must be greater than 0"
}{
"message": "<string>",
"code": 123
}Path Parameters
The unique identifier of the provider.
Minimum string length:
1Response
Single provider details.
- Option 1
- Option 2
Provider integrated via Fireblocks connected accounts (accountBased is true).
Unique identifier for the provider
Display name of the provider
Indicates whether the provider access model is through accounts or directly
The manifest of the provider, describing its supported order, quote, and rate requirements.
Show child attributes
Show child attributes
Example:
{
"order": {
"supported": true,
"executionTypes": ["MARKET", "QUOTE"],
"settlementTypes": ["DVP"],
"participantsIdentificationPolicy": {
"defaultSchema": "{\"$schema\":\"http://json-schema.org/draft-07/schema#\",\"type\":\"object\",\"required\":[\"originator\",\"beneficiary\"],\"properties\":{\"originator\":{\"type\":\"object\",\"required\":[\"entityType\"],\"oneOf\":[{\"properties\":{\"entityType\":{\"const\":\"INDIVIDUAL\"},\"fullName\":{\"type\":\"object\",\"required\":[\"firstName\",\"lastName\"],\"properties\":{\"firstName\":{\"type\":\"string\"},\"lastName\":{\"type\":\"string\"}}},\"email\":{\"type\":\"string\",\"format\":\"email\"}},\"required\":[\"entityType\",\"fullName\",\"email\"]},{\"properties\":{\"entityType\":{\"const\":\"BUSINESS\"},\"businessName\":{\"type\":\"string\"},\"email\":{\"type\":\"string\",\"format\":\"email\"}},\"required\":[\"entityType\",\"businessName\",\"email\"]}]},\"beneficiary\":{\"type\":\"object\",\"required\":[\"entityType\"],\"oneOf\":[{\"properties\":{\"entityType\":{\"const\":\"INDIVIDUAL\"},\"fullName\":{\"type\":\"object\",\"required\":[\"firstName\",\"lastName\"],\"properties\":{\"firstName\":{\"type\":\"string\"},\"lastName\":{\"type\":\"string\"}}}},\"required\":[\"entityType\",\"fullName\"]},{\"properties\":{\"entityType\":{\"const\":\"BUSINESS\"},\"businessName\":{\"type\":\"string\"}},\"required\":[\"entityType\",\"businessName\"]}]}}}"
},
"supportedParties": ["FirstParty", "ThirdParty"]
},
"quote": {
"supported": true,
"settlementTypes": ["DVP"]
},
"rate": { "supported": true }
}
Whether the provider is currently connected.
Show child attributes
Show child attributes
URL to the logo image of the provider
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<TradingProvider>> = fireblocks.trading.getTradingProviderById(tradingApiGetTradingProviderByIdRequest);CompletableFuture<ApiResponse<TradingProvider>> response = fireblocks.trading().getTradingProviderById(providerId);response = fireblocks.trading.get_trading_provider_by_id(provider_id);curl --request GET \
--url https://api.fireblocks.io/v1/trading/providers/{providerId}const options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/trading/providers/{providerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireblocks.io/v1/trading/providers/{providerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireblocks.io/v1/trading/providers/{providerId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.fireblocks.io/v1/trading/providers/{providerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "BRIDGE",
"name": "Bridge",
"logo": "https://example.com/logos/bridge.png",
"accountBased": true,
"manifest": {
"order": {
"supported": true,
"executionTypes": [
"MARKET"
],
"settlementTypes": [
"DVP"
]
},
"quote": {
"supported": false
},
"rate": {
"supported": true
}
},
"connected": true,
"accounts": [
{
"id": "acc_5e9a2d1c4b7f3e8a",
"name": "Main Trading Account"
}
]
}{
"code": 900,
"message": "Invalid base amount: must be greater than 0"
}{
"code": 900,
"message": "Invalid base amount: must be greater than 0"
}{
"code": 900,
"message": "Invalid base amount: must be greater than 0"
}{
"code": 900,
"message": "Invalid base amount: must be greater than 0"
}{
"code": 900,
"message": "Invalid base amount: must be greater than 0"
}{
"message": "<string>",
"code": 123
}